Package org.eclipse.cdt.core.settings.model

# Interface ICFolderDescription

All Superinterfaces:
  `ICResourceDescription`, `ICSettingBase`, `ICSettingContainer`, `ICSettingObject`

All Known Subinterfaces:
  `ICMultiFolderDescription`

public interface ICFolderDescription extends ICResourceDescription

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

## Method Summary

Modifier and Type
Method
Description
`ICLanguageSetting`
`createLanguageSettingForContentTypes(String languageId, String[] cTypeIds)`
`ICLanguageSetting`
`createLanguageSettingForExtensions(String languageId, String[] extensions)`
`ICLanguageSetting`
`getLanguageSettingForFile(String fileName)`
`ICLanguageSetting[]`
`getLanguageSettings()`
`ICResourceDescription`
`getNestedResourceDescription(org.eclipse.core.runtime.IPath relPath, boolean exactPath)`
`ICResourceDescription[]`
`getNestedResourceDescriptions()`
`ICResourceDescription[]`
`getNestedResourceDescriptions(int kind)`
`boolean`
`isRoot()`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICResourceDescription

`canExclude, getParentFolderDescription, getPath, isExcluded, setExcluded, setPath`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingContainer

`getChildSettings`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingObject

`getConfiguration, getId, getName, getParent, getType, isReadOnly, isValid`

## Method Details

### getNestedResourceDescription

ICResourceDescription getNestedResourceDescription(org.eclipse.core.runtime.IPath relPath, boolean exactPath)

### getNestedResourceDescriptions

ICResourceDescription[] getNestedResourceDescriptions(int kind)

### getNestedResourceDescriptions

ICResourceDescription[] getNestedResourceDescriptions()

### getLanguageSettings

ICLanguageSetting[] getLanguageSettings()

### getLanguageSettingForFile

ICLanguageSetting getLanguageSettingForFile(String fileName)

### createLanguageSettingForContentTypes

ICLanguageSetting createLanguageSettingForContentTypes(String languageId, String[] cTypeIds) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

### createLanguageSettingForExtensions

ICLanguageSetting createLanguageSettingForExtensions(String languageId, String[] extensions) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

### isRoot

boolean isRoot()